<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Motivo</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Motivo</a>
            </li>
            <li class="breadcrumb-item active">Agregar Motivo</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nuevo Motivo</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="formulariomotivo" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre Motivo de Consulta</mat-label>
                    <input matInput formControlName="NombreMotivo" required>
                    <mat-error *ngIf="formulariomotivo.get('NombreMotivo').hasError('required')">
                      Debes de ingresar un motivo
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Tiempo Motivo de Consulta (en minutos)</mat-label>
                    <input matInput formControlName="Tiempo" type="number" required>
                    <mat-error *ngIf="formulariomotivo.get('Tiempo').hasError('required')">
                      Debes de ingresar el tiempo
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-checkbox class="example-margin" formControlName="MostrarAgenda">Mostrar en agenda</mat-checkbox>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!formulariomotivo.valid " mat-raised-button color="primary" *ngIf="idClinica !== null">Guardar</button>
                  <!-- <button type="button" mat-button>Cancelar</button> -->
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
